Skip to main content

Create Communication

POSThttps://api.propexo.com/crm/v1/communications/

Create a communication for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    community_idstring

    The Propexo unique identifier for the community

    prospect_idstring

    The Propexo unique identifier for the prospect

    communication_typestring
    Show 2 enum values
    EMAILSMS
    communication_directionstring

    The direction of the communication

    Show 2 enum values
    INCOMINGOUTGOING
    message_subjectstring

    The subject of the message

    Possible values: non-empty

    message_bodystring

    The body of the message

    Possible values: non-empty

    to_addressesstring[]

    The address(es) the communication will be sent to

    Possible values: >= 1

    from_addressstring

    The address the communication will be sent from

    Possible values: non-empty

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/communications/
curl -X POST https://api.propexo.com/crm/v1/communications/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}